﻿<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <DockerComposeProjectPath>../docker-compose.dcproj</DockerComposeProjectPath>
    <UserSecretsId>0c9e9172-0f4e-458b-b694-67d0972b0544</UserSecretsId>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="Swashbuckle.AspNetCore.Swagger" />
    <None Remove="Newtonsoft.Json" />
    <None Remove="Swashbuckle.AspNetCore.SwaggerGen" />
    <None Remove="Swashbuckle.AspNetCore" />
    <None Remove="Swashbuckle.AspNetCore.SwaggerUI" />
    <None Remove="..\.editorconfig" />
    <None Remove="Microsoft.AspNetCore.Authentication.JwtBearer" />
    <None Remove="Microsoft.AspNetCore.Authorization" />
    <None Remove=".DS_Store" />
    <None Remove="Microsoft.EntityFrameworkCore" />
    <None Remove="Models\" />
    <None Remove="Security\" />
    <None Remove="Requests\" />
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="Swashbuckle.AspNetCore.Swagger" Version="6.2.3" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.1" />
    <PackageReference Include="Swashbuckle.AspNetCore.SwaggerGen" Version="6.2.3" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="6.2.3" />
    <PackageReference Include="Swashbuckle.AspNetCore.SwaggerUI" Version="6.2.3" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="5.0.12" />
    <PackageReference Include="Microsoft.AspNetCore.Authorization" Version="6.0.1" />
  </ItemGroup>
  <ItemGroup>
    <Content Remove="mono_crash.11a67480d0.0.json" />
  </ItemGroup>
  <ItemGroup>
    <Folder Include="Responses\" />
    <Folder Include="Security\" />
  </ItemGroup>
  <ItemGroup>
    <Compile Remove="Controllers\ImpressorasController.cs" />
    <Compile Remove="Controllers\StatusOrdemController.cs" />
    <Compile Remove="Controllers\OrdensImpressaoController.cs" />
    <Compile Remove="Controllers\ProdutosController.cs" />
    <Compile Remove="Controllers\AdquirenteController %28copy%29.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\ASA.Festpay.Transaction.Infra.Data\ASA.Festpay.Transaction.Infra.Data.csproj">
      <GlobalPropertiesToRemove></GlobalPropertiesToRemove>
    </ProjectReference>
    <ProjectReference Include="..\ASA.Festpay.Transaction.Application\ASA.Festpay.Transaction.Application.csproj">
      <GlobalPropertiesToRemove></GlobalPropertiesToRemove>
    </ProjectReference>
    <ProjectReference Include="..\ASA.Festpay.Transaction.CrossCutting\ASA.Festpay.Transaction.CrossCutting.csproj">
      <GlobalPropertiesToRemove></GlobalPropertiesToRemove>
    </ProjectReference>
  </ItemGroup>
</Project>
